Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.shape
Class GeometricShapeBuilder

    java.lang.Object
      com.vividsolutions.jts.shape.GeometricShapeBuilder

Direct Known Subclasses:
  KochSnowflakeBuilder, RandomPointsBuilder, RandomPointsInGridBuilder, SierpinskiCarpetBuilder

    public abstract class GeometricShapeBuilder

extends java.lang.Object

Field Summary
`protected Envelope` | `extent`
`protected GeometryFactory` | `geomFactory`
`protected int` | `numPts`

Constructor Summary
`GeometricShapeBuilder(GeometryFactory geomFactory)`

Method Summary
`protected Coordinate` | `createCoord(double x, double y)`
`Coordinate` | `getCentre()`
`double` | `getDiameter()`
`Envelope` | `getExtent()`
`abstract Geometry` | `getGeometry()`
`double` | `getRadius()`
`LineSegment` | `getSquareBaseLine()`
`Envelope` | `getSquareExtent()`
`void` | `setExtent(Envelope extent)`
`void` | `setNumPoints(int numPts)` Sets the total number of points in the created `Geometry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extent

    protected Envelope extent

### numPts

    protected int numPts

### geomFactory

    protected GeometryFactory geomFactory

Constructor Detail

### GeometricShapeBuilder

    public GeometricShapeBuilder(GeometryFactory geomFactory)

Method Detail

### setExtent

    public void setExtent(Envelope extent)

### getExtent

    public Envelope getExtent()

### getCentre

    public Coordinate getCentre()

### getDiameter

    public double getDiameter()

### getRadius

    public double getRadius()

### getSquareBaseLine

    public LineSegment getSquareBaseLine()

### getSquareExtent

    public Envelope getSquareExtent()

### setNumPoints

    public void setNumPoints(int numPts)

  Sets the total number of points in the created `Geometry`. The created geometry will have no more than this number of points, unless more are needed to create a valid geometry.

### getGeometry

    public abstract Geometry getGeometry()

### createCoord

    protected Coordinate createCoord(double x,
                                     double y)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD